Loading...
Searching...
No Matches
gtsam::traits< const SO4 > Struct Reference
Inheritance diagram for gtsam::traits< const SO4 >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::Testable< SO4 >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< SO4 >))
Static Public Member Functions inherited from gtsam::internal::LieGroupTraits< SO4 >
static TangentVector | Logmap (const SO4 &m, ChartJacobian Hm=boost::none)
static SO4 | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static SO4 | Compose (const SO4 &m1, const SO4 &m2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static SO4 | Between (const SO4 &m1, const SO4 &m2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static SO4 | Inverse (const SO4 &m, ChartJacobian H=boost::none)
static TangentVector | Local (const SO4 &origin, const SO4 &other, ChartJacobian Horigin=boost::none, ChartJacobian Hother=boost::none)
static SO4 | Retract (const SO4 &origin, const TangentVector &v, ChartJacobian Horigin=boost::none, ChartJacobian Hv=boost::none)
static SO4 | Identity ()
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< SO4, SO4::dimension >
static int | GetDimension (const SO4 &)
Static Public Member Functions inherited from gtsam::Testable< SO4 >
static void | Print (const SO4 &m, const std::string &str="")
static bool | Equals (const SO4 &m1, const SO4 &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::LieGroupTraits< SO4 >
typedef lie_group_tag | structure_category
enum |
typedef SO4 | ManifoldType
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector
typedef OptionalJacobian< dimension, dimension > | ChartJacobian
typedef multiplicative_group_tag | group_flavor

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/geometry/SO4.h